Bug 1070902 - dnf autocomplete for install ./* + <TAB> takes ages
dnf autocomplete for install ./* + <TAB> takes ages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-27 11:50 EST by Jaroslav Škarvada
Modified: 2015-10-13 02:52 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-0.6.4-7.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 02:52:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2014-02-27 11:50:43 EST
Description of problem:
When used dnf install with ./ prefix (or other file path prefix) it should presume it is local install and it should autocomplete RPMs only from the specified path like yum do.

Version-Release number of selected component (if applicable):
dnf-0.4.14-1.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1. build / download some RPM binary package to your local filesystem, e.g. grep-2.18-1.fc21.x86_64.rpm
2. yum install ./grep + <TAB>
3. dnf install ./grep + <TAB>

Actual results:
The first command returns immediately and correctly autocompletes the name.
It takes very long time for the second (dnf) command to autocomplete the name.

Expected results:
Immediate autocomplete for dnf as yum do.

Additional info:
Comment 1 Radek Holy 2014-02-28 02:06:51 EST
Hello, thank you for the report. I will keep it with low priority for now.
Comment 2 Ales Kozumplik 2014-03-02 04:08:59 EST
Elad, would you mind taking this? Thanks.
Comment 3 Elad Alfassa 2014-03-02 04:12:10 EST
Hi.

Sure, I'll take a look.
It might take me few days until I find a proper time to do so, unfortunately, but I'll get to it as soon as I have time.
Comment 4 Ales Kozumplik 2014-03-02 08:47:45 EST
Many thanks!
Comment 5 Steven Franzen 2014-03-06 10:03:32 EST
(In reply to Jaroslav Škarvada from comment #0)
> When used dnf install with ./ prefix (or other file path prefix) it should
> presume it is local install and it should autocomplete RPMs only from the
> specified path like yum do.

I have experienced this issue as well, but installing dnf-plugins-core somehow makes auto-completion from both the database and local directories extremely fast (much faster than yum).
Comment 6 Igor Gnatenko 2014-09-02 10:04:04 EDT
I'm re-writing bash-completion from scratch. this functionality will be added.
Comment 8 Fedora Update System 2014-10-05 13:41:58 EDT
dnf-0.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.2-1.fc21
Comment 9 Fedora Update System 2014-10-06 01:03:35 EDT
Package dnf-0.6.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12254/dnf-0.6.2-1.fc21
then log in and leave karma (feedback).
Comment 10 Fedora End Of Life 2015-05-29 07:05:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 21:34:57 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Fedora Update System 2015-08-28 14:53:51 EDT
dnf-0.6.4-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14323
Comment 13 Fedora Update System 2015-09-29 07:19:15 EDT
dnf-0.6.4-7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b
Comment 14 Fedora Update System 2015-10-02 14:52:16 EDT
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b
Comment 15 Fedora Update System 2015-10-13 02:52:14 EDT
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.